> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocean.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phishing report by ID

> Retrieves the detailed information for a specific phishing report identified by its unique ID



## OpenAPI

````yaml get /api/v1/sonar/phishing-reports/{id}
openapi: 3.0.0
info:
  contact: {}
  title: Ocean Security API
  version: 1.0.0
  description: Ocean Security API for threat detection and security metrics
servers:
  - url: https://api.ocean.security
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Threats
    description: Operations for retrieving threat information
  - name: Metrics
    description: Security metrics and analytics endpoints
paths:
  /api/v1/sonar/phishing-reports/{id}:
    get:
      tags:
        - Sonar
      summary: Get phishing report by ID
      description: >-
        Retrieves the detailed information for a specific phishing report
        identified by its unique ID
      parameters:
        - description: Unique identifier of the phishing report to retrieve
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Authentication API Key
          in: header
          name: X-Api-Key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ocean_api_common.BaseResponse-controllers_sonar_PhishingReportDetails
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
components:
  schemas:
    ocean_api_common.BaseResponse-controllers_sonar_PhishingReportDetails:
      properties:
        results:
          $ref: '#/components/schemas/controllers_sonar.PhishingReportDetails'
        status:
          type: integer
      type: object
    types.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    controllers_sonar.PhishingReportDetails:
      properties:
        bcc:
          items:
            type: string
          type: array
        cc:
          items:
            type: string
          type: array
        email_content_url:
          type: string
        id:
          type: string
        original_email_internet_message_id:
          type: string
        reasoning:
          type: string
        report_date:
          type: string
        report_internet_message_id:
          type: string
        reporter:
          type: string
        response_content_url:
          type: string
        sender:
          type: string
        subject:
          type: string
        to:
          items:
            type: string
          type: array
        verdict:
          $ref: '#/components/schemas/verdict.Verdict'
      type: object
    verdict.Verdict:
      enum:
        - unknown
        - spam
        - malicious
        - safe
        - allowed
        - denied
        - simulation
        - graymail
        - no_analysis
      type: string
      x-enum-varnames:
        - Unknown
        - Spam
        - Malicious
        - Safe
        - Allowed
        - Denied
        - Simulation
        - Graymail
        - NoAnalysis
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key for authentication

````